#include<iostream>
#include<iomanip>
#include<time.h>
#include<math.h>
using namespace std;

void changeTurn(char& turn);
void displayGameBoard(int xMoves, int oMoves);

void main()
{
	int xMoves = 0;
	int oMoves = 0;
	char turn = 'X';
	bool gameOver = false;

	while (!gameOver)
	{
		//display the game board
		displayGameBoard(xMoves, oMoves);

		//get move from user
		//int move = userMove(turn);
		int move;
		cin >> move;
		//apply move
		//check for player win
		//check for CAT

		changeTurn(turn);
	}
}

void changeTurn(char& turn)
{
	if (turn == 'X')
	{
		turn = 'O';
	}
	else
	{
		turn = 'X';
	}
}

void displayPosition(int xMoves, int oMoves, int position)
{
	if ((xMoves & (int)pow(2, position)) == (int)pow(2, position))
	{
		cout << 'X';
	}
	else if ((oMoves & (int)pow(2, position)) == (int)pow(2, position))
	{
		cout << 'O';
	}
	else
	{
		cout << position;
	}
}

void displayGameBoard(int xMoves, int oMoves)
{
	system("cls");
	displayPosition(xMoves, oMoves, 1);
	cout << "|";
	displayPosition(xMoves, oMoves, 2);
	cout << "|";
	displayPosition(xMoves, oMoves, 3);
	cout << endl << "-----" << endl;
	displayPosition(xMoves, oMoves, 4);
	cout << "|";
	displayPosition(xMoves, oMoves, 5);
	cout << "|";
	displayPosition(xMoves, oMoves, 6);
	cout << endl << "-----" << endl;
	displayPosition(xMoves, oMoves, 7);
	cout << "|";
	displayPosition(xMoves, oMoves, 8);
	cout << "|";
	displayPosition(xMoves, oMoves, 9);
	cout << endl << endl;
}